package com.management.platform.controller;


import com.management.platform.service.ScreenshotService;
import com.management.platform.util.HttpRespMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author 吴涛涛
 * @since 2020-01-03
 */
@RestController
@RequestMapping("/screenshot")
public class ScreenshotController {
    @Autowired
    private ScreenshotService screenshotService;

    /**
     * 获取每个人最新的截图
     */
    @RequestMapping("/getLatestScreenshotList")
    public HttpRespMsg getLatestScreenshotList() {
        return screenshotService.getLatestScreenshotList();
    }
}

