package com.management.platform.mapper;

import com.management.platform.entity.Screenshot;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.management.platform.entity.vo.ScreenshotVO;
import com.management.platform.util.HttpRespMsg;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author 吴涛涛
 * @since 2020-01-02
 */
public interface ScreenshotMapper extends BaseMapper<Screenshot> {
    List<Map<String, Object>> getLatestScreenshotList();

    HttpRespMsg saveAndProcessImage(ScreenshotVO screenshotvo);
}
