package com.management.platform.constant;

/**
 * Author: 吴涛涛
 * Date : 2020 - 01 - 06 11:19
 * Description:<描述> 参数枚举
 * Version: 1.0
 */
public enum Parameter {
    //accessToken
    ACCESS_TOKEN("accessToken", "accessToken"),
    //accessToken 的有效时间 单位：s
    EXPIRES_IN("expiresIn", "expiresIn");

    private String code;
    private String name;

    private Parameter(String code, String name) {
        this.code = code;
        this.name = name();
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public void setName(String name) {
        this.name = name;
    }

//    public static void main(String[] args) {
//        System.out.println(Parameter.API_KEY.getName());
//    }

}
